Index: /trunk/SophyaLib/SkyT/smakefile
===================================================================
--- /trunk/SophyaLib/SkyT/smakefile	(revision 3878)
+++ /trunk/SophyaLib/SkyT/smakefile	(revision 3879)
@@ -11,38 +11,46 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)blackbody.o: blackbody.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h blackbody.h radspec.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h convtools.h
+$(SOPHYAOBJP)blackbody.o: blackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  blackbody.h radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  convtools.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  blackbody.cc
  
-$(SOPHYAOBJP)convtools.o: convtools.cc $(SOPHYAINCP)sopnamsp.h \
-  convtools.h $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)convtools.o: convtools.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  convtools.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  convtools.cc
  
 $(SOPHYAOBJP)derivblackbody.o: derivblackbody.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h derivblackbody.h \
-  radspec.h specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h convtools.h
+  $(SOPHYAINCP)machdefs.h \
+  derivblackbody.h radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  convtools.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  derivblackbody.cc
  
-$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
+  $(SOPHYAINCP)machdefs.h \
   gaussfilt.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -58,20 +66,25 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  gaussfilt.cc
  
-$(SOPHYAOBJP)nupower.o: nupower.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nupower.h radspec.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h convtools.h
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  nupower.h radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  convtools.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nupower.cc
  
-$(SOPHYAOBJP)radspec.o: radspec.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h radspec.h specresp.h \
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
@@ -90,6 +103,7 @@
 $(SOPHYAOBJP)radspecvector.o: radspecvector.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h radspecvector.h \
-  radspec.h specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  radspecvector.h radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -117,6 +131,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  radspecvector.cc
  
-$(SOPHYAOBJP)skyinit.o: skyinit.cc $(SOPHYAINCP)sopnamsp.h \
-  skyinit.h $(SOPHYAINCP)ntoolsinit.h \
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -130,24 +146,29 @@
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h specrespvector.h \
-  $(SOPHYAINCP)machdefs.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h gaussfilt.h
+  $(SOPHYAINCP)anydataobj.h \
+  specrespvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skyinit.cc
  
-$(SOPHYAOBJP)specresp.o: specresp.cc $(SOPHYAINCP)sopnamsp.h \
-  specresp.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)specresp.o: specresp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  specresp.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
@@ -177,6 +198,7 @@
  
 $(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
-  $(SOPHYAINCP)machdefs.h specrespvector.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  specrespvector.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tvector.h \
@@ -208,5 +230,6 @@
 $(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h squarefilt.h specresp.h \
+  $(SOPHYAINCP)machdefs.h \
+  squarefilt.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h
@@ -215,6 +238,7 @@
 $(SOPHYAOBJP)trianglefilt.o: trianglefilt.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h trianglefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  trianglefilt.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  trianglefilt.cc
Index: /trunk/SophyaLib/SysTools/Makefile
===================================================================
--- /trunk/SophyaLib/SysTools/Makefile	(revision 3878)
+++ /trunk/SophyaLib/SysTools/Makefile	(revision 3879)
@@ -11,54 +11,52 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h cexpre.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
+ 
+$(SOPHYAOBJP)commander.o: commander.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  commander.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)randinterf.h \
+  pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
- 
-$(SOPHYAOBJP)commander.o: commander.cc $(SOPHYAINCP)sopnamsp.h \
-  commander.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  ctimer.h $(SOPHYAINCP)strutil.h \
+  ctimer.h \
+  $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)machdefs.h cexpre.h rpneval.h \
+  cexpre.h \
+  $(SOPHYAINCP)pexceptions.h \
+  rpneval.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h zthread.h
+  zthread.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h ctimer.h
+$(SOPHYAOBJP)ctimer.o: ctimer.cc \
+  $(SOPHYAINCP)machdefs.h \
+  ctimer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
-$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc $(SOPHYAINCP)sopnamsp.h \
-  cxxcmplnk.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
@@ -66,49 +64,50 @@
 $(SOPHYAOBJP)parlex.o: parlex.cc parlex.h zthread.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  parlex.cc
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
-$(SOPHYAOBJP)periodic.o: periodic.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)periodic.o: periodic.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h periodic.h
+  periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
-$(SOPHYAOBJP)psighand.o: psighand.cc $(SOPHYAINCP)sopnamsp.h psighand.h \
+$(SOPHYAOBJP)psighand.o: psighand.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  psighand.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
-$(SOPHYAOBJP)resusage.o: resusage.cc $(SOPHYAINCP)sopnamsp.h resusage.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h
+$(SOPHYAOBJP)resusage.o: resusage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  resusage.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h rpneval.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h zthread.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  zthread.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
Index: /trunk/SophyaLib/SysTools/smakefile
===================================================================
--- /trunk/SophyaLib/SysTools/smakefile	(revision 3878)
+++ /trunk/SophyaLib/SysTools/smakefile	(revision 3879)
@@ -11,54 +11,52 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h cexpre.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
+ 
+$(SOPHYAOBJP)commander.o: commander.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  commander.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)randinterf.h \
+  pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
- 
-$(SOPHYAOBJP)commander.o: commander.cc $(SOPHYAINCP)sopnamsp.h \
-  commander.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  ctimer.h $(SOPHYAINCP)strutil.h \
+  ctimer.h \
+  $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)machdefs.h cexpre.h rpneval.h \
+  cexpre.h \
+  $(SOPHYAINCP)pexceptions.h \
+  rpneval.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h zthread.h
+  zthread.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h ctimer.h
+$(SOPHYAOBJP)ctimer.o: ctimer.cc \
+  $(SOPHYAINCP)machdefs.h \
+  ctimer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
-$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc $(SOPHYAINCP)sopnamsp.h \
-  cxxcmplnk.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
@@ -66,49 +64,50 @@
 $(SOPHYAOBJP)parlex.o: parlex.cc parlex.h zthread.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  parlex.cc
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
-$(SOPHYAOBJP)periodic.o: periodic.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)periodic.o: periodic.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h periodic.h
+  periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
-$(SOPHYAOBJP)psighand.o: psighand.cc $(SOPHYAINCP)sopnamsp.h psighand.h \
+$(SOPHYAOBJP)psighand.o: psighand.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  psighand.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
-$(SOPHYAOBJP)resusage.o: resusage.cc $(SOPHYAINCP)sopnamsp.h resusage.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h
+$(SOPHYAOBJP)resusage.o: resusage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  resusage.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h rpneval.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h zthread.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  zthread.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
